#!/usr/bin/env node

const spawn = require('cross-spawn');

// pick the arguments
const script = process.argv[2];
const node = process.argv[0];

switch (script) {
  case 'start':
  case 'build': {
    const result = spawn.sync(
      'node',
      [require.resolve(`../scripts/${script}`)],
      { stdio: 'inherit' },
    );
    process.exit(result.status);
    break;
  }
  case 'dev': {
    const result = spawn.sync(
      'nodemon',
      [require.resolve(`../scripts/${script}`)],
      { stdio: 'inherit' },
    );
    process.exit(result.status);
    break;
  }
  default:
    console.log(`The script "${script}" is not available`);
    break;
}
