process.env.BABEL_ENV = 'production';
process.env.NODE_ENV = 'production';

process.on('unhandledRejection', (err) => {
  throw err;
});

// Ensure enviroments variables are read
require('../utils/env');

const path = require('path');
const chalk = require('chalk');
const fs = require('fs-extra');
const spawn = require('cross-spawn');
const paths = require('../utils/paths');

const isInteractive = process.stdout.isTTY;

function compile() {
  console.log(chalk.cyan('Compiling files .....'));
  const result = spawn.sync(
    'babel src -s -d dist',
    { stdio: 'inherit' },
  );
  process.exit(result.status);
}

console.log(chalk.cyan('Starting building process ... \n'));
if (fs.existsSync(paths.appDist)) {
  fs.removeSync(paths.appDist);
  fs.mkdir(`${paths.appFolder}/dist`);
  compile();
} else {
  fs.mkdir(`${paths.appFolder}/dist`);
  compile();
}
