const path = require('path');
const fs = require('fs');

const appDirectory = fs.realpathSync(process.cwd());
const resolveApp = relativePath => path.resolve(appDirectory, relativePath);
const ownPackage = require('../package.json');

module.exports = {
  appFolder: resolveApp(''),
  dotenv: resolveApp('.env'),
  appDist: resolveApp('dist'),
  appSrc: resolveApp('src'),
  appPackageJSON: resolveApp('package.json'),
  appSrcIndex: resolveApp('src/index.js'),
  appDistIndex: resolveApp('dist/index.js'),
  appLogs: resolveApp('logs'),
  ownPackageFolder: resolveApp(`node_modules/${ownPackage.name}`),

};
